Bug 586571 - DS Console shows escaped DNs
DS Console shows escaped DNs
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: UI - General UI (Show other bugs)
1.2.6
All Linux
high Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 434914 389_1.2.6
  Show dependency treegraph
 
Reported: 2010-04-27 17:47 EDT by Noriko Hosoi
Modified: 2015-12-07 11:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:47:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the escaped DNs (DIT & Suffix name) (73.08 KB, image/png)
2010-04-27 17:47 EDT, Noriko Hosoi
no flags Details
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch (49.18 KB, patch)
2010-04-29 18:11 EDT, Rich Megginson
nhosoi: review+
Details | Diff
screenshot of directory browser showing various ways that DNs are displayed (59.51 KB, image/jpeg)
2010-04-29 18:13 EDT, Rich Megginson
no flags Details
screenshot with raw DN in the status area at the bottom of the window (81.70 KB, image/jpeg)
2010-04-29 18:14 EDT, Rich Megginson
no flags Details
screenshot of suffixes and databases (64.38 KB, image/jpeg)
2010-04-29 18:18 EDT, Rich Megginson
no flags Details
main console patch (13.46 KB, patch)
2010-05-03 13:35 EDT, Rich Megginson
nkinder: review+
Details | Diff
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch (14.21 KB, patch)
2010-05-03 13:37 EDT, Rich Megginson
nkinder: review+
Details | Diff
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch (18.87 KB, patch)
2010-05-04 21:38 EDT, Rich Megginson
nkinder: review+
Details | Diff
RHDS 8.2 admin screenshot (23.87 KB, image/png)
2010-05-12 16:48 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Noriko Hosoi 2010-04-27 17:47:43 EDT
Created attachment 409596 [details]
screenshot showing the escaped DNs (DIT & Suffix name)

Description of problem:
It looks Console is showing the Suffix cut from cn="<suffix>",
cn=mapping tree, cn=config. They are now escaped as seen on the
screenshot. :( Do we consider this is a bug (especially for 8.2)? Should
we fix it?

Rich Megginson wrote:
> Yes, I think this is a bug, and I think we should fix this. A DN only
> needs to be escaped if it is used inside another DN. In this case (and
> likely many others) we should display the unescaped DN to the user.

Kevin Unthank wrote:
> Rich is right. It's a bug, we should fix it.
Comment 1 Noriko Hosoi 2010-04-28 18:38:51 EDT
Related issues... 
(I'm sure these are known problems.  I'm listing them not to forget to verify...)

1. On the Configuration panel, backend node for each suffix is not displayed under DATA.

2. Creating a sub suffix from Console fails due to invalid syntax.  This is because the Console sends "ou=subExample,dc\\3Dexample\\2Cdc\\3Dcom" for the sub suffix DN.
(gdb) p *val
$10 = {bv = {bv_len = 37, 
    bv_val = 0xb27610d8 "ou=subExample,dc\\3Dexample\\2Cdc\\3Dcom"}, 
  v_csnset = 0x0, v_flags = 0}
Comment 2 Rich Megginson 2010-04-29 18:11:56 EDT
Created attachment 410247 [details]
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch
Comment 3 Rich Megginson 2010-04-29 18:13:49 EDT
Created attachment 410248 [details]
screenshot of directory browser showing various ways that DNs are displayed
Comment 4 Rich Megginson 2010-04-29 18:14:40 EDT
Created attachment 410249 [details]
screenshot with raw DN in the status area at the bottom of the window
Comment 5 Rich Megginson 2010-04-29 18:18:12 EDT
Created attachment 410250 [details]
screenshot of suffixes and databases
Comment 6 Rich Megginson 2010-04-29 22:12:47 EDT
To ssh://git.fedorahosted.org/git/389/ds-console.git
   3b45c4a..1ce76be  master -> master
commit 1ce76be162d0ccd812511815e6176dfcd626ecea
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Thu Apr 29 16:10:43 2010 -0600
    Reviewed by: nhosoi (Thanks!)
    Branch: HEAD
    Fix Description: Changed the console to be aware of LDAPv3 escapes.  The
    console can now correctly read and display DN values that contain escapes,
    and can correctly escape DNs sent to the server.  The console will still
    display the "raw" DN with the escapes in certain cases - for example, the
    status area at the bottom of the window shows the raw DN for the entry
    selected in the directory browser; the Advanced... editor will show the
    raw DN in DN valued fields.
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no
Comment 7 Rich Megginson 2010-05-03 13:35:41 EDT
Created attachment 411075 [details]
main console patch
Comment 8 Rich Megginson 2010-05-03 13:37:28 EDT
Created attachment 411077 [details]
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch
Comment 9 Rich Megginson 2010-05-03 16:40:00 EDT
Checking in src/com/netscape/management/client/ug/ResourcePageObservable.java;
/cvs/dirsec/console/src/com/netscape/management/client/ug/ResourcePageObservable.java,v  <--  ResourcePageObservable.java
new revision: 1.2; previous revision: 1.1
Checking in src/com/netscape/management/client/util/LDAPUtil.java;
/cvs/dirsec/console/src/com/netscape/management/client/util/LDAPUtil.java,v  <--  LDAPUtil.java
new revision: 1.4; previous revision: 1.3

To ssh://git.fedorahosted.org/git/389/ds-console.git
   2044ad9..b2e8292  master -> master
commit b2e8292736c270424f2e60a4e0e3bb243dacde74
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Mon May 3 11:33:34 2010 -0600
    Reviewed by: nkinder (Thanks!)
    Branch: HEAD
    Fix Description: Was not working correctly in the property and advanced
    editor for editing some DNs that contained other DNs as RDN values.
    I also moved a lot of the DN handling code into the main console package
    into the LDAPUtil class.  This will allow the main console to handle DN
    escapes as well.  Unfortunately, if managing a new DS on a machine which
    only has the old console framework, these methods will be missing.
    So, use the new methods if available, otherwise, fallback on the DSUtil
    implementation.
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no
Comment 10 Rich Megginson 2010-05-04 21:38:10 EDT
Created attachment 411455 [details]
0001-Bug-586571-DS-Console-shows-escaped-DNs.patch

This patch is for the directory server itself, to be able to use a 3 digit ds console jar file version.
Comment 11 Rich Megginson 2010-05-05 11:33:15 EDT
To ssh://git.fedorahosted.org/git/389/ds.git
   a0b60b0..fe4d09a  master -> master
commit fe4d09a3f984fe821635a1147da12dc3510cd4d6
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue May 4 16:12:35 2010 -0600
    Reviewed by: nkinder (Thanks!)
    Branch: HEAD
    Fix Description: In order for the console fixed to be used to manage the
    correct directory server, the directory server needs to be able to specify
    the ds console jar file version down to 3 digits, as opposed to the curren
    two digits.  To support this, instead of overriding PACKAGE_BASE_VERSION,
    a new configure macro is introduced - CONSOLE_VERSION.  This value is
    set in VERSION.sh, so it can be easily updated, and it is used to set
    the value for BaseVersion in slapd.inf, which is what the admin server
    setup uses to set the ds console jar file version corresponding to the
    directory server.
    Platforms tested: RHEL5 x86_64, Fedora 12
    Flag Day: no
    Doc impact: no
Comment 12 Fedora Update System 2010-05-05 11:39:55 EDT
idm-console-framework-1.1.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/idm-console-framework-1.1.5-1.fc11
Comment 13 Fedora Update System 2010-05-05 11:39:59 EDT
idm-console-framework-1.1.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/idm-console-framework-1.1.5-1.fc12
Comment 14 Fedora Update System 2010-05-05 11:40:04 EDT
idm-console-framework-1.1.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/idm-console-framework-1.1.5-1.fc13
Comment 15 Fedora Update System 2010-05-05 11:42:04 EDT
389-ds-console-1.2.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-console-1.2.2-1.fc12
Comment 16 Fedora Update System 2010-05-05 11:42:09 EDT
389-ds-console-1.2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-console-1.2.2-1.fc11
Comment 17 Fedora Update System 2010-05-05 11:42:13 EDT
389-ds-console-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-console-1.2.2-1.fc13
Comment 18 Jenny Galipeau 2010-05-12 16:47:27 EDT
fix verified - RHEL 4

redhat-ds-base-8.2.0-2010051204.el4dsrv
redhat-admin-console-8.2.0-1.el4dsrv
redhat-idm-console-1.0.0-26.el4idm
redhat-ds-console-8.2.0-2.el4dsrv
redhat-ds-base-devel-8.2.0-2010051204.el4dsrv
redhat-ds-admin-8.2.0-2.el4dsrv
redhat-ds-8.2.0-1.el4dsrv

See attached screen shot.
Comment 19 Jenny Galipeau 2010-05-12 16:48:10 EDT
Created attachment 413558 [details]
RHDS 8.2 admin screenshot

Note You need to log in before you can comment on or make changes to this bug.